gtk3-0.15.10: Binding to the Gtk+ 3 graphical user interface library

Maintainer | gtk2hs-users@lists.sourceforge.net
Stability | provisional
Portability | portable (depends on GHC)
Safe Haskell | None
Language | Haskell98

Graphics.UI.Gtk.ModelView.CellRendererCombo

Contents

- Detail
- Class Hierarchy
- Types
- Constructors
- Attributes

Description

Renders a combo box in a cell

- Module available since Gtk+ version 2.6

Synopsis

- data CellRendererCombo
- class CellRendererTextClass o => CellRendererComboClass o
- castToCellRendererCombo :: GObjectClass obj => obj -> CellRendererCombo
- gTypeCellRendererCombo :: GType
- toCellRendererCombo :: CellRendererComboClass o => o -> CellRendererCombo
- cellRendererComboNew :: IO CellRendererCombo
- cellComboHasEntry :: CellRendererComboClass self => Attr self Bool
- cellComboTextModel :: (TreeModelClass (model row), TypedTreeModelClass model, CellRendererComboClass self, GlibString string) => WriteAttr self (model row, ColumnId row string)

# Detail

`CellRendererCombo` renders text in a cell like `CellRendererText` from which it is derived. But while `CellRendererText` offers a simple entry to edit the text, `CellRendererCombo` offers a `ComboBox` or `ComboBoxEntry` widget to edit the text. The values to display in the combo box are taken from the tree model specified in the model property.

The combo cell renderer takes care of adding a text cell renderer to the combo box and sets it to display the column specified by its `cellTextModel` property. Further cell renderers can be added in a handler for the `editingStarted` signal.

# Class Hierarchy

    | GObject
    | +----Object
    | +----CellRenderer
    | +----CellRendererText
    | +----CellRendererCombo

# Types

data CellRendererCombo Source #

#### Instances

Instances details

Eq CellRendererCombo Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods (==) :: CellRendererCombo -> CellRendererCombo -> Bool Source # (/=) :: CellRendererCombo -> CellRendererCombo -> Bool Source #
Ord CellRendererCombo Source # |

Instance details

Defined in Graphics.UI.Gtk.Types

Methods

compare :: CellRendererCombo -> CellRendererCombo -> Ordering Source #

(<) :: CellRendererCombo -> CellRendererCombo -> Bool Source #

(<=) :: CellRendererCombo -> CellRendererCombo -> Bool Source #

(>) :: CellRendererCombo -> CellRendererCombo -> Bool Source #

(>=) :: CellRendererCombo -> CellRendererCombo -> Bool Source #

max :: CellRendererCombo -> CellRendererCombo -> CellRendererCombo Source #

min :: CellRendererCombo -> CellRendererCombo -> CellRendererCombo Source #

GObjectClass CellRendererCombo Source # |
Instance details Defined in Graphics.UI.Gtk.Types Methods toGObject :: CellRendererCombo -> GObject Source # unsafeCastGObject :: GObject -> CellRendererCombo Source #
CellRendererClass CellRendererCombo Source # |
Instance details Defined in Graphics.UI.Gtk.Types
CellRendererComboClass CellRendererCombo Source # |
Instance details Defined in Graphics.UI.Gtk.Types
CellRendererTextClass CellRendererCombo Source # |
Instance details Defined in Graphics.UI.Gtk.Types

class CellRendererTextClass o => CellRendererComboClass o Source #

#### Instances

Instances details

CellRendererComboClass CellRendererCombo Source # |
Instance details Defined in Graphics.UI.Gtk.Types

castToCellRendererCombo :: GObjectClass obj => obj -> CellRendererCombo Source #

gTypeCellRendererCombo :: GType Source #

toCellRendererCombo :: CellRendererComboClass o => o -> CellRendererCombo Source #

# Constructors

cellRendererComboNew :: IO CellRendererCombo Source #

Creates a new `CellRendererCombo`. This `Renderer` allows for displaying a fixed set of options the user can choose from.

# Attributes

cellComboHasEntry :: CellRendererComboClass self => Attr self Bool Source #

If `True`, the cell renderer will allow the user to enter values other than the ones in the popup list.

Default value: `True`

cellComboTextModel :: (TreeModelClass (model row), TypedTreeModelClass model, CellRendererComboClass self, GlibString string) => WriteAttr self (model row, ColumnId row string) Source #

The tuple containing a model and a column in this model that determine the possible strings that can be shown in the combo box. Note that this tree model can be a datum in the tree model that is used to populate the view in which the `CellRendererCombo` is part of. In other words, it is possible that every `CellRendererCombo` can show a different set of options on each row.